package config

import (
	"cicv-data-closedloop/pjibot_clean_msgs/cartographer_ros_msgs"
	"cicv-data-closedloop/pjibot_clean_msgs/clean_msg"
	"cicv-data-closedloop/pjibot_clean_msgs/common_msgs"
	"cicv-data-closedloop/pjibot_clean_msgs/dynamic_reconfigure"
	"cicv-data-closedloop/pjibot_clean_msgs/ipa_building_msgs"
	"cicv-data-closedloop/pjibot_clean_msgs/localization_monitor"
	"cicv-data-closedloop/pjibot_clean_msgs/theora_image_transport"
	"github.com/bluenviron/goroslib/v2/pkg/msgs/actionlib_msgs"
	"github.com/bluenviron/goroslib/v2/pkg/msgs/diagnostic_msgs"
	"github.com/bluenviron/goroslib/v2/pkg/msgs/geometry_msgs"
	"github.com/bluenviron/goroslib/v2/pkg/msgs/nav_msgs"
	"github.com/bluenviron/goroslib/v2/pkg/msgs/rosgraph_msgs"
	"github.com/bluenviron/goroslib/v2/pkg/msgs/sensor_msgs"
	"github.com/bluenviron/goroslib/v2/pkg/msgs/std_msgs"
	"github.com/bluenviron/goroslib/v2/pkg/msgs/tf2_msgs"
	"github.com/bluenviron/goroslib/v2/pkg/msgs/visualization_msgs"
	"sync"
)

var (
	LabelMapTriggerId = new(sync.Map)
	// todo 这里是全量的topic，添加topic则需要同时在下面的数组添加；也需要在produce_window.go中添加新的订阅者
	AllTopics = []string{
		Topic1,   // 1
		Topic2,   // 2
		Topic3,   // 3
		Topic4,   // 4
		Topic5,   // 5
		Topic6,   // 6
		Topic7,   // 7
		Topic8,   // 8
		Topic9,   // 9
		Topic10,  // 10
		Topic11,  // 11
		Topic12,  // 12
		Topic13,  // 13
		Topic14,  // 14
		Topic15,  // 15
		Topic16,  // 16
		Topic17,  // 17
		Topic18,  // 18
		Topic19,  // 19
		Topic20,  // 20
		Topic21,  // 21
		Topic22,  // 22
		Topic23,  // 23
		Topic24,  // 24
		Topic25,  // 25
		Topic26,  // 26
		Topic27,  // 27
		Topic28,  // 28
		Topic29,  // 29
		Topic30,  // 30
		Topic31,  // 31
		Topic32,  // 32
		Topic33,  // 33
		Topic34,  // 34
		Topic35,  // 35
		Topic36,  // 36
		Topic37,  // 37
		Topic38,  // 38
		Topic39,  // 39
		Topic40,  // 40
		Topic41,  // 41
		Topic42,  // 42
		Topic43,  // 43
		Topic44,  // 44
		Topic45,  // 45
		Topic46,  // 46
		Topic47,  // 47
		Topic48,  // 48
		Topic49,  // 49
		Topic50,  // 50
		Topic51,  // 51
		Topic52,  // 52
		Topic53,  // 53
		Topic54,  // 54
		Topic55,  // 55
		Topic56,  // 56
		Topic57,  // 57
		Topic58,  // 58
		Topic59,  // 59
		Topic60,  // 60
		Topic61,  // 61
		Topic62,  // 62
		Topic63,  // 63
		Topic64,  // 64
		Topic65,  // 65
		Topic66,  // 66
		Topic67,  // 67
		Topic68,  // 68
		Topic69,  // 69
		Topic70,  // 70
		Topic71,  // 71
		Topic72,  // 72
		Topic73,  // 73
		Topic74,  // 74
		Topic75,  // 75
		Topic76,  // 76
		Topic77,  // 77
		Topic78,  // 78
		Topic79,  // 79
		Topic80,  // 80
		Topic81,  // 81
		Topic82,  // 82
		Topic83,  // 83
		Topic84,  // 84
		Topic85,  // 85
		Topic86,  // 86
		Topic87,  // 87
		Topic88,  // 88
		Topic89,  // 89
		Topic90,  // 90
		Topic91,  // 91
		Topic92,  // 92
		Topic93,  // 93
		Topic94,  // 94
		Topic95,  // 95
		Topic96,  // 96
		Topic97,  // 97
		Topic98,  // 98
		Topic99,  // 99
		Topic100, // 100
		Topic101, // 101
		Topic102, // 102
		Topic103, // 103
		Topic104, // 104
		Topic105, // 105
		Topic106, // 106
		Topic107, // 107
		Topic108, // 108
		Topic109, // 109
		Topic110, // 110
		Topic111, // 111
		Topic112, // 112
		Topic113, // 113
		Topic114, // 114
		Topic115, // 115
		Topic116, // 116
		Topic117, // 117
		Topic118, // 118
		Topic119, // 119
		Topic120, // 120
		Topic121, // 121
		Topic122, // 122
		Topic123, // 123
		Topic124, // 124
		Topic125, // 125
		Topic126, // 126
		Topic127, // 127
		Topic128, // 128
		Topic129, // 129
		Topic130, // 130
		Topic131, // 131
		Topic132, // 132
		Topic133, // 133
		Topic134, // 134
		Topic135, // 135
		Topic136, // 136
		Topic137, // 137
		Topic138, // 138
		Topic139, // 139
		Topic140, // 140
		Topic141, // 141
		Topic142, // 142
		Topic143, // 143
		Topic144, // 144
		Topic145, // 145
		Topic146, // 146
		Topic147, // 147
		Topic148, // 148
		Topic149, // 149
		Topic150, // 150
		Topic151, // 151
		Topic152, // 152
		Topic153, // 153
		Topic154, // 154
		Topic155, // 155
		Topic156, // 156
		Topic157, // 157
		Topic158, // 158
		Topic159, // 159
		Topic160, // 160
		Topic161, // 161
		Topic162, // 162
		Topic163, // 163
		Topic164, // 164
		Topic165, // 165
		Topic166, // 166
		Topic167, // 167
		Topic168, // 168
		Topic169, // 169
		Topic170, // 170
		Topic171, // 171
		Topic172, // 172
		Topic173, // 173
		Topic174, // 174
		Topic175, // 175
		Topic176, // 176
		Topic177, // 177
		Topic178, // 178
		Topic179, // 179
		Topic180, // 180
		Topic181, // 181
		Topic182, // 182
		Topic183, // 183
		Topic184, // 184
		Topic185, // 185
		Topic186, // 186
		Topic187, // 187
		Topic188, // 188
		Topic189, // 189
		Topic190, // 190
		Topic191, // 191
		Topic192, // 192
		Topic193, // 193
		Topic194, // 194
		Topic195, // 195
		Topic196, // 196
		Topic197, // 197
		Topic198, // 198
		Topic199, // 199
		Topic200, // 200
		Topic201, // 201
		Topic202, // 202
		Topic203, // 203
		Topic204, // 204
		Topic205, // 205
		Topic206, // 206
		Topic207, // 207
		Topic208, // 208
		Topic209, // 209
		Topic210, // 210
		Topic211, // 211
		Topic212, // 212
		Topic213, // 213
		Topic214, // 214
		Topic215, // 215
		Topic216, // 216
		Topic217, // 217
		Topic218, // 218
		Topic219, // 219
		Topic220, // 220
		Topic221, // 221
		Topic222, // 222
		Topic223, // 223
		Topic224, // 224
		Topic225, // 225
		Topic226, // 226
		Topic227, // 227
		Topic228, // 228
		Topic229, // 229
		Topic230, // 230
		Topic231, // 231
		Topic232, // 232
		Topic233, // 233
		Topic234, // 234
		Topic235, // 235
		Topic236, // 236
		Topic237, // 237
		Topic238, // 238
		Topic239, // 239
		Topic240, // 240
		Topic241, // 241
		Topic242, // 242
		Topic243, // 243
		Topic244, // 244
		Topic245, // 245
		Topic246, // 246
		Topic247, // 247
		Topic248, // 248
		Topic249, // 249
		Topic250, // 250
		Topic251, // 251
		Topic252, // 252
		Topic253, // 253
		Topic254, // 254
		Topic255, // 255
		Topic256, // 256
		Topic257, // 257
		Topic258, // 258
		Topic259, // 259
		Topic260, // 260
		Topic261, // 261
		Topic262, // 262
		Topic263, // 263
		Topic264, // 264
		Topic265, // 265
		Topic266, // 266
		Topic267, // 267
		Topic268, // 268
		Topic269, // 269
		Topic270, // 270
		Topic271, // 271
		Topic272, // 272
		Topic273, // 273
		Topic274, // 274
		Topic275, // 275
		Topic276, // 276
		Topic277, // 277
		Topic278, // 278
		Topic279, // 279
		Topic280, // 280
		Topic281, // 281
		Topic282, // 282
		Topic283, // 283
		Topic284, // 284
	}
	// topic
	Topic1   = "/Electrification"
	Topic2   = "/along_wall_start_point"
	Topic3   = "/amcl/parameter_descriptions"
	Topic4   = "/amcl/parameter_updates"
	Topic5   = "/amcl_enter_mapconvert_topic"
	Topic6   = "/amcl_pose"
	Topic7   = "/amcl_relocalization_finish_pub"
	Topic8   = "/amcl_topic"
	Topic9   = "/any_eye/run_line_light"
	Topic10  = "/application_heart_beat"
	Topic11  = "/auto_dock/heart"
	Topic12  = "/back_top_points_process"
	Topic13  = "/batter"
	Topic14  = "/boot_time"
	Topic15  = "/boundingboxes_line"
	Topic16  = "/call_icp"
	Topic17  = "/camera/depth/camera_info"
	Topic18  = "/camera/depth/image_raw"
	Topic19  = "/camera/depth/image_raw/compressed"
	Topic20  = "/camera/depth/image_raw/compressed/parameter_descriptions"
	Topic21  = "/camera/depth/image_raw/compressed/parameter_updates"
	Topic22  = "/camera/depth/image_raw/compressedDepth"
	Topic23  = "/camera/depth/image_raw/compressedDepth/parameter_descriptions"
	Topic24  = "/camera/depth/image_raw/compressedDepth/parameter_updates"
	Topic25  = "/camera/depth/image_raw/theora"
	Topic26  = "/camera/depth/image_raw/theora/parameter_descriptions"
	Topic27  = "/camera/depth/image_raw/theora/parameter_updates"
	Topic28  = "/camera/depth/points"
	Topic29  = "/camera/ir/camera_info"
	Topic30  = "/camera/ir/image_raw"
	Topic31  = "/camera/ir/image_raw/compressed"
	Topic32  = "/camera/ir/image_raw/compressed/parameter_descriptions"
	Topic33  = "/camera/ir/image_raw/compressed/parameter_updates"
	Topic34  = "/camera/ir/image_raw/compressedDepth"
	Topic35  = "/camera/ir/image_raw/compressedDepth/parameter_descriptions"
	Topic36  = "/camera/ir/image_raw/compressedDepth/parameter_updates"
	Topic37  = "/camera/ir/image_raw/theora"
	Topic38  = "/camera/ir/image_raw/theora/parameter_descriptions"
	Topic39  = "/camera/ir/image_raw/theora/parameter_updates"
	Topic40  = "/charge_tag_pos"
	Topic41  = "/charge_target"
	Topic42  = "/clean_pnc/astar_path_planner/path"
	Topic43  = "/clean_pnc/battery_state"
	Topic44  = "/clean_pnc/bumper"
	Topic45  = "/clean_pnc/charger/station_line"
	Topic46  = "/clean_pnc/charging_station/detect_position"
	Topic47  = "/clean_pnc/charging_station/odom_position"
	Topic48  = "/clean_pnc/charging_station/position"
	Topic49  = "/clean_pnc/clean_cmd"
	Topic50  = "/clean_pnc/cost_map/footprint"
	Topic51  = "/clean_pnc/cost_map/footprint_spec"
	Topic52  = "/clean_pnc/cost_map/global_costmap"
	Topic53  = "/clean_pnc/cost_map/local_costmap"
	Topic54  = "/clean_pnc/cost_map/task_costmap"
	Topic55  = "/clean_pnc/cur_clean_area"
	Topic56  = "/clean_pnc/current_task_list_loop_times"
	Topic57  = "/clean_pnc/dwa_path_planner/global_path"
	Topic58  = "/clean_pnc/error_code"
	Topic59  = "/clean_pnc/function_map/compute_follow_path_map"
	Topic60  = "/clean_pnc/function_map/forbidden_clean_area"
	Topic61  = "/clean_pnc/function_map/need_clean_area"
	Topic62  = "/clean_pnc/function_map/no_need_clean_area"
	Topic63  = "/clean_pnc/function_map/task_cleaned_map"
	Topic64  = "/clean_pnc/function_map/task_list_cleaned_map"
	Topic65  = "/clean_pnc/save_report"
	Topic66  = "/clean_pnc/scram_button"
	Topic67  = "/clean_pnc/type/pause"
	Topic68  = "/clean_polygon"
	Topic69  = "/clicked_point"
	Topic70  = "/close_imu_topic_"
	Topic71  = "/cloud_cmd"
	Topic72  = "/cmd_vel"
	Topic73  = "/collisionDetection"
	Topic74  = "/create_map_info"
	Topic75  = "/ctrl_speed_deal_before"
	Topic76  = "/current/sensor_status"
	Topic77  = "/custom_path"
	Topic78  = "/data_fusion_path"
	Topic79  = "/detect/boundingboxes"
	Topic80  = "/diagnostic/mcu"
	Topic81  = "/diagnostics"
	Topic82  = "/disinfection"
	Topic83  = "/disinfection_info"
	Topic84  = "/dock_flag"
	Topic85  = "/dynamic_scan"
	Topic86  = "/dynamic_wall_line_pub"
	Topic87  = "/elevate_scence"
	Topic88  = "/elevate_state_topic"
	Topic89  = "/elevator_dwa/task_status"
	Topic90  = "/engine/current_robot_mode"
	Topic91  = "/engine/current_task_info"
	Topic92  = "/engine/map_info"
	Topic93  = "/engine/out_line_path"
	Topic94  = "/engine/video_stream_push"
	Topic95  = "/floor_downsample"
	Topic96  = "/follow_path_path"
	Topic97  = "/front_down_points_process"
	Topic98  = "/front_top_points_downsample1"
	Topic99  = "/front_top_points_process"
	Topic100 = "/global_goal"
	Topic101 = "/global_path"
	Topic102 = "/hst007_camera_pose"
	Topic103 = "/icp_initial_pose"
	Topic104 = "/icp_localization_check_topic"
	Topic105 = "/icp_relocalization_finish_pub_topic"
	Topic106 = "/icp_relocalization_pub_topic"
	Topic107 = "/icp_relocalization_sub_topic"
	Topic108 = "/icp_run_topic"
	Topic109 = "/icp_score"
	Topic110 = "/icp_service"
	Topic111 = "/icp_topic"
	Topic112 = "/imu"
	Topic113 = "/imu_cal_state"
	Topic114 = "/imu_calibration_state"
	Topic115 = "/imu_calibration_temperature"
	Topic116 = "/imu_slover_param"
	Topic117 = "/incline_localization"
	Topic118 = "/initialpose"
	Topic119 = "/joint_states"
	Topic120 = "/kibana_log"
	Topic121 = "/landmark"
	Topic122 = "/laser_odom"
	Topic123 = "/leg_scan"
	Topic124 = "/lm_imu"
	Topic125 = "/local_path_update"
	Topic126 = "/localation_monitor_topic"
	Topic127 = "/localization_convertMap_topic"
	Topic128 = "/localization_fail"
	Topic129 = "/localization_monitor_node/localation_monitor_topic"
	Topic130 = "/localization_recover_pose"
	Topic131 = "/localization_rocover_state"
	Topic132 = "/localization_state_modiy"
	Topic133 = "/locate_info"
	Topic134 = "/locate_state"
	Topic135 = "/lost_localization_state_"
	Topic136 = "/lost_localization_warning_state"
	Topic137 = "/manual_close_icp_topic"
	Topic138 = "/map"
	Topic139 = "/map_base64"
	Topic140 = "/map_border"
	Topic141 = "/map_merge_node/amcl_topic"
	Topic142 = "/map_merge_node/icp_topic"
	Topic143 = "/map_metadata"
	Topic144 = "/move_base/GlobalPlanner/plan"
	Topic145 = "/move_base_simple/goal"
	Topic146 = "/mpc_cost_map"
	Topic147 = "/mpc_cost_map1"
	Topic148 = "/multi_persion_block"
	Topic149 = "/mutli_person_block_pub"
	Topic150 = "/new_imu"
	Topic151 = "/node_Monitor"
	Topic152 = "/node_Monitor/clean_pnc/state"
	Topic153 = "/ob_camera_01/color/camera_info"
	Topic154 = "/ob_camera_01/color/image_raw"
	Topic155 = "/ob_camera_01/color/image_raw/compressed"
	Topic156 = "/ob_camera_01/color/image_raw/compressed/parameter_descriptions"
	Topic157 = "/ob_camera_01/color/image_raw/compressed/parameter_updates"
	Topic158 = "/ob_camera_01/color/image_raw/compressedDepth"
	Topic159 = "/ob_camera_01/color/image_raw/compressedDepth/parameter_descriptions"
	Topic160 = "/ob_camera_01/color/image_raw/compressedDepth/parameter_updates"
	Topic161 = "/ob_camera_01/color/image_raw/theora"
	Topic162 = "/ob_camera_01/color/image_raw/theora/parameter_descriptions"
	Topic163 = "/ob_camera_01/color/image_raw/theora/parameter_updates"
	Topic164 = "/ob_camera_01/depth/camera_info"
	Topic165 = "/ob_camera_01/depth/image_raw"
	Topic166 = "/ob_camera_01/depth/image_raw/compressed"
	Topic167 = "/ob_camera_01/depth/image_raw/compressed/parameter_descriptions"
	Topic168 = "/ob_camera_01/depth/image_raw/compressed/parameter_updates"
	Topic169 = "/ob_camera_01/depth/image_raw/compressedDepth"
	Topic170 = "/ob_camera_01/depth/image_raw/compressedDepth/parameter_descriptions"
	Topic171 = "/ob_camera_01/depth/image_raw/compressedDepth/parameter_updates"
	Topic172 = "/ob_camera_01/depth/image_raw/theora"
	Topic173 = "/ob_camera_01/depth/image_raw/theora/parameter_descriptions"
	Topic174 = "/ob_camera_01/depth/image_raw/theora/parameter_updates"
	Topic175 = "/ob_camera_01/depth/points"
	Topic176 = "/ob_camera_02/color/camera_info"
	Topic177 = "/ob_camera_02/color/image_raw"
	Topic178 = "/ob_camera_02/color/image_raw/compressed"
	Topic179 = "/ob_camera_02/color/image_raw/compressed/parameter_descriptions"
	Topic180 = "/ob_camera_02/color/image_raw/compressed/parameter_updates"
	Topic181 = "/ob_camera_02/color/image_raw/compressedDepth"
	Topic182 = "/ob_camera_02/color/image_raw/compressedDepth/parameter_descriptions"
	Topic183 = "/ob_camera_02/color/image_raw/compressedDepth/parameter_updates"
	Topic184 = "/ob_camera_02/color/image_raw/theora"
	Topic185 = "/ob_camera_02/color/image_raw/theora/parameter_descriptions"
	Topic186 = "/ob_camera_02/color/image_raw/theora/parameter_updates"
	Topic187 = "/ob_camera_02/depth/camera_info"
	Topic188 = "/ob_camera_02/depth/image_raw"
	Topic189 = "/ob_camera_02/depth/image_raw/compressed"
	Topic190 = "/ob_camera_02/depth/image_raw/compressed/parameter_descriptions"
	Topic191 = "/ob_camera_02/depth/image_raw/compressed/parameter_updates"
	Topic192 = "/ob_camera_02/depth/image_raw/compressedDepth"
	Topic193 = "/ob_camera_02/depth/image_raw/compressedDepth/parameter_descriptions"
	Topic194 = "/ob_camera_02/depth/image_raw/compressedDepth/parameter_updates"
	Topic195 = "/ob_camera_02/depth/image_raw/theora"
	Topic196 = "/ob_camera_02/depth/image_raw/theora/parameter_descriptions"
	Topic197 = "/ob_camera_02/depth/image_raw/theora/parameter_updates"
	Topic198 = "/ob_camera_02/depth/points"
	Topic199 = "/obberc_camera_back_pose"
	Topic200 = "/obberc_camera_pose"
	Topic201 = "/obstacle_detection"
	Topic202 = "/odom"
	Topic203 = "/odom_jump"
	Topic204 = "/odom_localization"
	Topic205 = "/odom_raw"
	Topic206 = "/old_imu"
	Topic207 = "/out_wallLine"
	Topic208 = "/particlecloud"
	Topic209 = "/pointcloud_topic"
	Topic210 = "/pole_scan"
	Topic211 = "/pose_correct_topic"
	Topic212 = "/preventfalling"
	Topic213 = "/pro_map_ctrl"
	Topic214 = "/qs/clean_area"
	Topic215 = "/qs/start_detectwall_line"
	Topic216 = "/reference_path"
	Topic217 = "/robot_add"
	Topic218 = "/robot_is_slip"
	Topic219 = "/robot_kidnap_state"
	Topic220 = "/robot_lost"
	Topic221 = "/robot_pose"
	Topic222 = "/robot_pose_tf"
	Topic223 = "/robot_shock"
	Topic224 = "/robot_static_state"
	Topic225 = "/robot_status"
	Topic226 = "/robot_sub"
	Topic227 = "/robot_sudden_state"
	Topic228 = "/room_segmentation_server/cancel"
	Topic229 = "/room_segmentation_server/feedback"
	Topic230 = "/room_segmentation_server/goal"
	Topic231 = "/room_segmentation_server/parameter_descriptions"
	Topic232 = "/room_segmentation_server/parameter_updates"
	Topic233 = "/room_segmentation_server/result"
	Topic234 = "/room_segmentation_server/segmented_map"
	Topic235 = "/room_segmentation_server/status"
	Topic236 = "/rosout"
	Topic237 = "/rosout_agg"
	Topic238 = "/rviz_task_global_path"
	Topic239 = "/safety"
	Topic240 = "/scan"
	Topic241 = "/scan_back_top"
	Topic242 = "/scan_cliff"
	Topic243 = "/scan_front_down"
	Topic244 = "/scan_front_top"
	Topic245 = "/scan_map_icp_amcl_node/map_point"
	Topic246 = "/scan_map_icp_amcl_node/scan_point_transformed"
	Topic247 = "/segmentation_map_marker"
	Topic248 = "/sensor_task"
	Topic249 = "/slip_topic"
	Topic250 = "/sonar_alarm"
	Topic251 = "/sonar_list"
	Topic252 = "/srf_data"
	Topic253 = "/srf_laser_odometry_node/srf_laser_truncated"
	Topic254 = "/start_relocate"
	Topic255 = "/static_scan"
	Topic256 = "/sudden_stop_state_"
	Topic257 = "/sunny/run_camera"
	Topic258 = "/sunny_topic/device_HST007/tof_frame/camera_info"
	Topic259 = "/sys_info"
	Topic260 = "/tag_detections_image"
	Topic261 = "/tag_detections_image/compressed"
	Topic262 = "/tag_detections_image/compressed/parameter_descriptions"
	Topic263 = "/tag_detections_image/compressed/parameter_updates"
	Topic264 = "/tag_detections_image/compressedDepth"
	Topic265 = "/tag_detections_image/compressedDepth/parameter_descriptions"
	Topic266 = "/tag_detections_image/compressedDepth/parameter_updates"
	Topic267 = "/tag_detections_image/theora"
	Topic268 = "/tag_detections_image/theora/parameter_descriptions"
	Topic269 = "/tag_detections_image/theora/parameter_updates"
	Topic270 = "/tag_start"
	Topic271 = "/target1"
	Topic272 = "/task"
	Topic273 = "/task_feedback_info"
	Topic274 = "/task_global_path"
	Topic275 = "/tf"
	Topic276 = "/tf_data_error"
	Topic277 = "/tf_static"
	Topic278 = "/udata_fusion_path"
	Topic279 = "/uploadBag"
	Topic280 = "/vl_left"
	Topic281 = "/xd1a_0"
	Topic282 = "/xd1a_1"
	Topic283 = "/xd1a_2"
	Topic284 = "/xd1a_3"

	// 触发器
	Rule1   []func(data *std_msgs.Int16MultiArray) string
	Rule2   []func(data *geometry_msgs.PoseStamped) string
	Rule3   []func(data *dynamic_reconfigure.ConfigDescription) string
	Rule4   []func(data *dynamic_reconfigure.Config) string
	Rule5   []func(data *std_msgs.String) string
	Rule6   []func(data *geometry_msgs.PoseWithCovarianceStamped) string
	Rule7   []func(data *std_msgs.String) string
	Rule8   []func(data *std_msgs.String) string
	Rule9   []func(data *std_msgs.Bool) string
	Rule10  []func(data *std_msgs.Int8) string
	Rule11  []func(data *std_msgs.Int8) string
	Rule12  []func(data *sensor_msgs.PointCloud2) string
	Rule13  []func(data *sensor_msgs.BatteryState) string
	Rule14  []func(data *std_msgs.Int16) string
	Rule15  []func(data *visualization_msgs.Marker) string
	Rule16  []func(data *std_msgs.String) string
	Rule17  []func(data *sensor_msgs.CameraInfo) string
	Rule18  []func(data *sensor_msgs.Image) string
	Rule19  []func(data *sensor_msgs.CompressedImage) string
	Rule20  []func(data *dynamic_reconfigure.ConfigDescription) string
	Rule21  []func(data *dynamic_reconfigure.Config) string
	Rule22  []func(data *sensor_msgs.CompressedImage) string
	Rule23  []func(data *dynamic_reconfigure.ConfigDescription) string
	Rule24  []func(data *dynamic_reconfigure.Config) string
	Rule25  []func(data *theora_image_transport.Packet) string
	Rule26  []func(data *dynamic_reconfigure.ConfigDescription) string
	Rule27  []func(data *dynamic_reconfigure.Config) string
	Rule28  []func(data *sensor_msgs.PointCloud2) string
	Rule29  []func(data *sensor_msgs.CameraInfo) string
	Rule30  []func(data *sensor_msgs.Image) string
	Rule31  []func(data *sensor_msgs.CompressedImage) string
	Rule32  []func(data *dynamic_reconfigure.ConfigDescription) string
	Rule33  []func(data *dynamic_reconfigure.Config) string
	Rule34  []func(data *sensor_msgs.CompressedImage) string
	Rule35  []func(data *dynamic_reconfigure.ConfigDescription) string
	Rule36  []func(data *dynamic_reconfigure.Config) string
	Rule37  []func(data *theora_image_transport.Packet) string
	Rule38  []func(data *dynamic_reconfigure.ConfigDescription) string
	Rule39  []func(data *dynamic_reconfigure.Config) string
	Rule40  []func(data *geometry_msgs.PoseStamped) string
	Rule41  []func(data *geometry_msgs.PoseStamped) string
	Rule42  []func(data *nav_msgs.Path) string
	Rule43  []func(data *std_msgs.Int8) string
	Rule44  []func(data *std_msgs.Bool) string
	Rule45  []func(data *nav_msgs.Path) string
	Rule46  []func(data *geometry_msgs.PoseStamped) string
	Rule47  []func(data *geometry_msgs.PoseStamped) string
	Rule48  []func(data *geometry_msgs.PoseStamped) string
	Rule49  []func(data *std_msgs.String) string
	Rule50  []func(data *visualization_msgs.MarkerArray) string
	Rule51  []func(data *geometry_msgs.PolygonStamped) string
	Rule52  []func(data *nav_msgs.OccupancyGrid) string
	Rule53  []func(data *nav_msgs.OccupancyGrid) string
	Rule54  []func(data *nav_msgs.OccupancyGrid) string
	Rule55  []func(data *std_msgs.Float32) string
	Rule56  []func(data *std_msgs.Int32) string
	Rule57  []func(data *nav_msgs.Path) string
	Rule58  []func(data *clean_msg.ErrorInfo) string
	Rule59  []func(data *nav_msgs.OccupancyGrid) string
	Rule60  []func(data *nav_msgs.OccupancyGrid) string
	Rule61  []func(data *nav_msgs.OccupancyGrid) string
	Rule62  []func(data *nav_msgs.OccupancyGrid) string
	Rule63  []func(data *nav_msgs.OccupancyGrid) string
	Rule64  []func(data *nav_msgs.OccupancyGrid) string
	Rule65  []func(data *std_msgs.String) string
	Rule66  []func(data *std_msgs.Bool) string
	Rule67  []func(data *std_msgs.Bool) string
	Rule68  []func(data *geometry_msgs.PolygonStamped) string
	Rule69  []func(data *geometry_msgs.PointStamped) string
	Rule70  []func(data *std_msgs.String) string
	Rule71  []func(data *geometry_msgs.Twist) string
	Rule72  []func(data *geometry_msgs.Twist) string
	Rule73  []func(data *nav_msgs.Path) string
	Rule74  []func(data *common_msgs.CreateMapInfo) string
	Rule75  []func(data *geometry_msgs.Twist) string
	Rule76  []func(data *common_msgs.SensorStatus) string
	Rule77  []func(data *geometry_msgs.PoseArray) string
	Rule78  []func(data *nav_msgs.Path) string
	Rule79  []func(data *common_msgs.IdentifierObjsInfo) string
	Rule80  []func(data *common_msgs.McuDiagnostic) string
	Rule81  []func(data *diagnostic_msgs.DiagnosticArray) string
	Rule82  []func(data *std_msgs.Int8) string
	Rule83  []func(data *std_msgs.Int16) string
	Rule84  []func(data *geometry_msgs.Vector3Stamped) string
	Rule85  []func(data *sensor_msgs.LaserScan) string
	Rule86  []func(data *sensor_msgs.PointCloud2) string
	Rule87  []func(data *std_msgs.String) string
	Rule88  []func(data *std_msgs.String) string
	Rule89  []func(data *std_msgs.String) string
	Rule90  []func(data *std_msgs.Int32) string
	Rule91  []func(data *common_msgs.TaskInfo) string
	Rule92  []func(data *common_msgs.MapInfo) string
	Rule93  []func(data *nav_msgs.Path) string
	Rule94  []func(data *common_msgs.VideoStream) string
	Rule95  []func(data *sensor_msgs.PointCloud2) string
	Rule96  []func(data *nav_msgs.Path) string
	Rule97  []func(data *sensor_msgs.PointCloud2) string
	Rule98  []func(data *sensor_msgs.PointCloud2) string
	Rule99  []func(data *sensor_msgs.PointCloud2) string
	Rule100 []func(data *geometry_msgs.PointStamped) string
	Rule101 []func(data *nav_msgs.Path) string
	Rule102 []func(data *geometry_msgs.PoseStamped) string
	Rule103 []func(data *geometry_msgs.PoseWithCovarianceStamped) string
	Rule104 []func(data *geometry_msgs.Pose) string
	Rule105 []func(data *std_msgs.String) string
	Rule106 []func(data *std_msgs.String) string
	Rule107 []func(data *std_msgs.String) string
	Rule108 []func(data *std_msgs.String) string
	Rule109 []func(data *std_msgs.Float64) string
	Rule110 []func(data *std_msgs.String) string
	Rule111 []func(data *std_msgs.String) string
	Rule112 []func(data *sensor_msgs.Imu) string
	Rule113 []func(data *std_msgs.String) string
	Rule114 []func(data *std_msgs.Int8) string
	Rule115 []func(data *std_msgs.Int16) string
	Rule116 []func(data *std_msgs.String) string
	Rule117 []func(data *std_msgs.String) string
	Rule118 []func(data *geometry_msgs.PoseWithCovarianceStamped) string
	Rule119 []func(data *sensor_msgs.JointState) string
	Rule120 []func(data *std_msgs.String) string
	Rule121 []func(data *cartographer_ros_msgs.LandmarkList) string
	Rule122 []func(data *nav_msgs.Odometry) string
	Rule123 []func(data *sensor_msgs.LaserScan) string
	Rule124 []func(data *std_msgs.String) string
	Rule125 []func(data *nav_msgs.Path) string
	Rule126 []func(data *std_msgs.String) string
	Rule127 []func(data *std_msgs.String) string
	Rule128 []func(data *std_msgs.String) string
	Rule129 []func(data *std_msgs.String) string
	Rule130 []func(data *geometry_msgs.PoseWithCovarianceStamped) string
	Rule131 []func(data *std_msgs.String) string
	Rule132 []func(data *std_msgs.String) string
	Rule133 []func(data *common_msgs.LocateInfo) string
	Rule134 []func(data *std_msgs.Bool) string
	Rule135 []func(data *std_msgs.Float64MultiArray) string
	Rule136 []func(data *std_msgs.String) string
	Rule137 []func(data *std_msgs.String) string
	Rule138 []func(data *nav_msgs.OccupancyGrid) string
	Rule139 []func(data *std_msgs.String) string
	Rule140 []func(data *nav_msgs.Path) string
	Rule141 []func(data *std_msgs.String) string
	Rule142 []func(data *std_msgs.String) string
	Rule143 []func(data *nav_msgs.MapMetaData) string
	Rule144 []func(data *nav_msgs.Path) string
	Rule145 []func(data *geometry_msgs.PoseStamped) string
	Rule146 []func(data *nav_msgs.OccupancyGrid) string
	Rule147 []func(data *nav_msgs.OccupancyGrid) string
	Rule148 []func(data *std_msgs.String) string
	Rule149 []func(data *std_msgs.String) string
	Rule150 []func(data *std_msgs.String) string
	Rule151 []func(data *std_msgs.String) string
	Rule152 []func(data *std_msgs.Bool) string
	Rule153 []func(data *sensor_msgs.CameraInfo) string
	Rule154 []func(data *sensor_msgs.Image) string
	Rule155 []func(data *sensor_msgs.CompressedImage) string
	Rule156 []func(data *dynamic_reconfigure.ConfigDescription) string
	Rule157 []func(data *dynamic_reconfigure.Config) string
	Rule158 []func(data *sensor_msgs.CompressedImage) string
	Rule159 []func(data *dynamic_reconfigure.ConfigDescription) string
	Rule160 []func(data *dynamic_reconfigure.Config) string
	Rule161 []func(data *theora_image_transport.Packet) string
	Rule162 []func(data *dynamic_reconfigure.ConfigDescription) string
	Rule163 []func(data *dynamic_reconfigure.Config) string
	Rule164 []func(data *sensor_msgs.CameraInfo) string
	Rule165 []func(data *sensor_msgs.Image) string
	Rule166 []func(data *sensor_msgs.CompressedImage) string
	Rule167 []func(data *dynamic_reconfigure.ConfigDescription) string
	Rule168 []func(data *dynamic_reconfigure.Config) string
	Rule169 []func(data *sensor_msgs.CompressedImage) string
	Rule170 []func(data *dynamic_reconfigure.ConfigDescription) string
	Rule171 []func(data *dynamic_reconfigure.Config) string
	Rule172 []func(data *theora_image_transport.Packet) string
	Rule173 []func(data *dynamic_reconfigure.ConfigDescription) string
	Rule174 []func(data *dynamic_reconfigure.Config) string
	Rule175 []func(data *sensor_msgs.PointCloud2) string
	Rule176 []func(data *sensor_msgs.CameraInfo) string
	Rule177 []func(data *sensor_msgs.Image) string
	Rule178 []func(data *sensor_msgs.CompressedImage) string
	Rule179 []func(data *dynamic_reconfigure.ConfigDescription) string
	Rule180 []func(data *dynamic_reconfigure.Config) string
	Rule181 []func(data *sensor_msgs.CompressedImage) string
	Rule182 []func(data *dynamic_reconfigure.ConfigDescription) string
	Rule183 []func(data *dynamic_reconfigure.Config) string
	Rule184 []func(data *theora_image_transport.Packet) string
	Rule185 []func(data *dynamic_reconfigure.ConfigDescription) string
	Rule186 []func(data *dynamic_reconfigure.Config) string
	Rule187 []func(data *sensor_msgs.CameraInfo) string
	Rule188 []func(data *sensor_msgs.Image) string
	Rule189 []func(data *sensor_msgs.CompressedImage) string
	Rule190 []func(data *dynamic_reconfigure.ConfigDescription) string
	Rule191 []func(data *dynamic_reconfigure.Config) string
	Rule192 []func(data *sensor_msgs.CompressedImage) string
	Rule193 []func(data *dynamic_reconfigure.ConfigDescription) string
	Rule194 []func(data *dynamic_reconfigure.Config) string
	Rule195 []func(data *theora_image_transport.Packet) string
	Rule196 []func(data *dynamic_reconfigure.ConfigDescription) string
	Rule197 []func(data *dynamic_reconfigure.Config) string
	Rule198 []func(data *sensor_msgs.PointCloud2) string
	Rule199 []func(data *geometry_msgs.PoseStamped) string
	Rule200 []func(data *geometry_msgs.PoseStamped) string
	Rule201 []func(data *std_msgs.UInt8) string
	Rule202 []func(data *nav_msgs.Odometry) string
	Rule203 []func(data *std_msgs.String) string
	Rule204 []func(data *std_msgs.String) string
	Rule205 []func(data *nav_msgs.Odometry) string
	Rule206 []func(data *sensor_msgs.Imu) string
	Rule207 []func(data *sensor_msgs.PointCloud2) string
	Rule208 []func(data *geometry_msgs.PoseArray) string
	Rule209 []func(data *sensor_msgs.PointCloud2) string
	Rule210 []func(data *sensor_msgs.LaserScan) string
	Rule211 []func(data *geometry_msgs.PoseWithCovarianceStamped) string
	Rule212 []func(data *geometry_msgs.Vector3Stamped) string
	Rule213 []func(data *std_msgs.String) string
	Rule214 []func(data *common_msgs.FunctionAreas) string
	Rule215 []func(data *std_msgs.Bool) string
	Rule216 []func(data *nav_msgs.Path) string
	Rule217 []func(data *std_msgs.Float64MultiArray) string
	Rule218 []func(data *std_msgs.String) string
	Rule219 []func(data *std_msgs.String) string
	Rule220 []func(data *std_msgs.String) string
	Rule221 []func(data *geometry_msgs.PoseStamped) string
	Rule222 []func(data *geometry_msgs.PoseWithCovarianceStamped) string
	Rule223 []func(data *std_msgs.String) string
	Rule224 []func(data *std_msgs.String) string
	Rule225 []func(data *localization_monitor.RobotStatus) string
	Rule226 []func(data *std_msgs.Float64MultiArray) string
	Rule227 []func(data *std_msgs.String) string
	Rule228 []func(data *actionlib_msgs.GoalID) string
	Rule229 []func(data *ipa_building_msgs.MapSegmentationActionFeedback) string
	Rule230 []func(data *ipa_building_msgs.MapSegmentationActionGoal) string
	Rule231 []func(data *dynamic_reconfigure.ConfigDescription) string
	Rule232 []func(data *dynamic_reconfigure.Config) string
	Rule233 []func(data *ipa_building_msgs.MapSegmentationActionResult) string
	Rule234 []func(data *nav_msgs.OccupancyGrid) string
	Rule235 []func(data *actionlib_msgs.GoalStatusArray) string
	Rule236 []func(data *rosgraph_msgs.Log) string
	Rule237 []func(data *rosgraph_msgs.Log) string
	Rule238 []func(data *nav_msgs.Path) string
	Rule239 []func(data *geometry_msgs.Vector3Stamped) string
	Rule240 []func(data *sensor_msgs.LaserScan) string
	Rule241 []func(data *sensor_msgs.LaserScan) string
	Rule242 []func(data *sensor_msgs.LaserScan) string
	Rule243 []func(data *sensor_msgs.LaserScan) string
	Rule244 []func(data *sensor_msgs.LaserScan) string
	Rule245 []func(data *sensor_msgs.PointCloud2) string
	Rule246 []func(data *sensor_msgs.PointCloud2) string
	Rule247 []func(data *visualization_msgs.MarkerArray) string
	Rule248 []func(data *common_msgs.SensorTask) string
	Rule249 []func(data *std_msgs.String) string
	Rule250 []func(data *geometry_msgs.Vector3Stamped) string
	Rule251 []func(data *common_msgs.SonarList) string
	Rule252 []func(data *nav_msgs.Odometry) string
	Rule253 []func(data *sensor_msgs.LaserScan) string
	Rule254 []func(data *std_msgs.Bool) string
	Rule255 []func(data *sensor_msgs.LaserScan) string
	Rule256 []func(data *std_msgs.String) string
	Rule257 []func(data *std_msgs.Bool) string
	Rule258 []func(data *sensor_msgs.CameraInfo) string
	Rule259 []func(data *common_msgs.SysInfo) string
	Rule260 []func(data *sensor_msgs.Image) string
	Rule261 []func(data *sensor_msgs.CompressedImage) string
	Rule262 []func(data *dynamic_reconfigure.ConfigDescription) string
	Rule263 []func(data *dynamic_reconfigure.Config) string
	Rule264 []func(data *sensor_msgs.CompressedImage) string
	Rule265 []func(data *dynamic_reconfigure.ConfigDescription) string
	Rule266 []func(data *dynamic_reconfigure.Config) string
	Rule267 []func(data *theora_image_transport.Packet) string
	Rule268 []func(data *dynamic_reconfigure.ConfigDescription) string
	Rule269 []func(data *dynamic_reconfigure.Config) string
	Rule270 []func(data *std_msgs.Bool) string
	Rule271 []func(data *geometry_msgs.PoseStamped) string
	Rule272 []func(data *geometry_msgs.Vector3Stamped) string
	Rule273 []func(data *common_msgs.TaskFeedbackInfo) string
	Rule274 []func(data *common_msgs.Points) string
	Rule275 []func(data *tf2_msgs.TFMessage) string
	Rule276 []func(data *std_msgs.String) string
	Rule277 []func(data *tf2_msgs.TFMessage) string
	Rule278 []func(data *nav_msgs.Path) string
	Rule279 []func(data *common_msgs.UpLoadFileList) string
	Rule280 []func(data *sensor_msgs.Range) string
	Rule281 []func(data *sensor_msgs.LaserScan) string
	Rule282 []func(data *sensor_msgs.LaserScan) string
	Rule283 []func(data *sensor_msgs.LaserScan) string
	Rule284 []func(data *sensor_msgs.LaserScan) string

	AllTopicsNumber = len(AllTopics)
)
